<div class="row mb-5">
  <div class="col-8 shadow-lg p-0 bg-white">
    <div class="card">
      <div class="card-header">
        <h3>List New Armament</h3>
      </div>
      <div class="card-body">
    <form  [formGroup]="addFirearmForm" (ngSubmit)='onSubmit()'>
      <div class="tab-panel">

        <tabset class="member-tabset" #formTabs>

          <tab heading="Basic Info"
          formGroupName="BasicInfo">

            <div class="form-group col-12">
              <div class="btn-group"
              btnRadioGroup
              formControlName="BuySell">
              <label class="btn btn-outline-primary m-1"
               btnRadio=1 tabindex="0" role="button" name="BuySell">Buy</label>
               <label class="btn btn-outline-primary m-1"
               btnRadio=2 tabindex="0" role="button" name="BuySell">Sell</label>
              </div>
              <div class="error-block" *ngIf="BuySell.invalid && nextClicked">
                Please choose whether you are making a Buy or Sell offer.
               </div>
            </div>

          <div class="form-group col-12">
            <label>Name</label>
            <input type="text" class="form-control"
            #fname
            (keyup)="firearmView.Name=fname.value"
            formControlName="Name">
            <div class="error-block"
            *ngIf="Name.invalid && (nextClicked || Name.touched)">
              Please enter a name for your armament.
             </div>
          </div>

          <div class="form-group col-12">
            <p>Firearm Type</p>
              <div class="btn-group" btnRadioGroup
              formControlName="Type">
              <label
                *ngFor="let ftype of firearmTypes"
                class="btn btn-outline-primary mr-2"
                [btnRadio]="ftype" tabindex="0" role="button"
                (click)="firearmView.Type=ftype"
                name="FirearmType">
                {{ftype}}
              </label>
              </div>
              <div class="error-block" *ngIf="Type.invalid && nextClicked">
                Please select armament type.
              </div>
            </div>

            <div class="form-group col-12">
              <label for="price">Price (in USD)</label>
              <input type="text" class="form-control"
              #fprice
              (keyup)="firearmView.Price=fprice.value"
              formControlName="Price">
              <div class="error-block"
              *ngIf="Price.invalid && (nextClicked || Price.touched)">
                Please input a price for your offer.
               </div>
            </div>

            <button type="button"
             class="btn btn-primary m-2 col-12"
             (click)="selectTab(1, BasicInfo.valid)">Next</button>

          </tab>

          <tab heading="Specifications"
          formGroupName="Specifications">
            <div class="form-group col-12">
              <label>Place of origin</label>
              <select
              class="form-control"
              #forigin
              (keyup)="firearmView.Origin=forigin.value"
              formControlName="Origin">
              <option selected value=''>--Select Origin--</option>
              <option *ngFor="let origin of originList"
              value={{origin.id}}>
                {{origin.name}}
              </option>
              </select>
              <div class="error-block" *ngIf="Origin.invalid && nextClicked || Origin.invalid && Origin.touched">
                Please input the country of origin.
              </div>
            </div>

            <div class="form-group col-12">
              <label>Action</label>
              <input type="text" class="form-control"
              #faction
              (keyup)="firearmView.Action=faction.value"
              formControlName="Action">
              <div class="error-block" *ngIf="Action.invalid && nextClicked ||Action.invalid && Action.touched">
                Please specify the armament's firing action.
              </div>
            </div>


            <div class="form-group col-12">
              <label>Cartridge</label>
              <input type="text" class="form-control"
              #fcartridge
              (keyup)="firearmView.Cartridge=fcartridge.value"
              formControlName="Cartridge">
              <div class="error-block" *ngIf="Cartridge.invalid && nextClicked || Cartridge.invalid && Cartridge.touched">
                Please input the cartridge for the firearm.
              </div>
            </div>


            <div class="form-group col-12">
              <label>Effective firing range</label>
              <input type="text" class="form-control"
              #fefr
              (keyup)="firearmView.EFR=fefr.value"
              formControlName="EFR">
              <div class="error-block" *ngIf="EFR.invalid && nextClicked || EFR.invalid && EFR.touched">
                Please input the approximate effective firing range.
              </div>
            </div>



            <button type="button"
            class="btn btn-primary m-2 col-12"
             (click)="selectTab(2, Specifications.valid)">Next</button>

             <button type="button" class="btn btn-secondary m-2 col-12"
             (click)="selectTab(0, BasicInfo.valid)">Back</button>

          </tab>

          <tab heading="Production History"
          formGroupName="ProductionHistory">

            <div class="form-group col-12">
              <label>Produced</label>
              <input type="text" class="form-control"
              #fproduced
              (keyup)="firearmView.Produced=fproduced.value"
              formControlName="Produced">
              <div class="error-block" *ngIf="Produced.invalid && Produced.touched">
                Please input the years of production.
              </div>
            </div>

            <div class="form-group col-12">
              <label>Manufacturer</label>
              <input type="text" class="form-control"
              #fmanufacturer
              (keyup)="firearmView.Manufacturer=fmanufacturer.value"
              formControlName="Manufacturer">
              <div class="error-block" *ngIf="Manufacturer.invalid && Manufacturer.touched">
                Please input the manufacturer.
              </div>
            </div>

            <button type="button"
            class="btn btn-primary m-2 col-12"
            (click)="selectTab(3, ProductionHistory.valid)">Next</button>

            <button type="button" class="btn btn-secondary m-2 col-12"
            (click)="selectTab(1, Specifications.valid)">Back</button>

          </tab>

          <tab heading="Photos">
            <div class="form-group col-12">
              <div class="photo-control">
                  <button class="mt-5" type="button">Upload</button> <br>
                  This is under construction
              </div>
            </div>
            <div class="form-group col-12">

            <button type="button" class="btn btn-secondary m-1 col-12"
            (click)="selectTab(2, ProductionHistory.valid)">Back</button>
            <button type="reset" class="btn btn-primary m-1 col-12">Cancel</button>
            <button type="submit" class="btn btn-primary m-1 col-12">Save</button>

            </div>
          </tab>

        </tabset>
      </div>

    </form>
      </div>
  </div>
  </div>
  <div class="col-3">
    <div class="card-header">
      <h3>Your Firearm Preview</h3>
    </div>
      <div class="shadow-lg p-3 bg-white">
        <app-firearm-unit [firearm]="firearmView" [hideIcons]="true"></app-firearm-unit>
      </div>
  </div>
</div>
